Page MenuHomePhabricator

[statements-ui] Deleting a property leads to a JavaScript crash on items using that property
Closed, ResolvedPublic

Description

If an item has a statement using property P, and then the property gets deleted, viewing the page will lead to the JavaScript building to break down.

There might be further problems due to these steps.


Version: unspecified
Severity: normal

Details

Reference
bz44636

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:32 AM
bzimport set Reference to bz44636.
bzimport added a subscriber: Unknown Object (MLST).
Denny created this task.Feb 4 2013, 9:50 AM

wikidata-bugs wrote:

Change I7d0a971b: (bug 44636) added EntitySerializer option setIncludeValuesWithMissingReferences

This was fixed in production with the hotfix above, but it should be solved in a better way.

Denny added a comment.Feb 7 2013, 4:48 PM

*** This bug has been marked as a duplicate of bug 44639 ***

Danwe added a comment.Mar 3 2013, 8:50 PM

This is not a duplicate of bug 44639. This is about a simple, first solution. bug 44639 is about advanced handling of the situation, like allowing to change the property to an existing one and allowing to remove that property.

Also, 44689 is not a duplicate, that's about being able to delete Statements using such deleted properties.

So the order of implementation would be 44636, 44689, 44639.

There has been some confusion around this, in our sprint planning we decided to pick up 44636, not the advanced handling suggested in 44639.
In the change set I am working on we will have 44636 and 44689 solved in the JavaScript UI.

Gerrit change #51954

Verified in Wikidata demo sprint 34

Restricted Application added a project: Wikidata. · View Herald TranscriptJan 28 2016, 6:06 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript